From 793229ad83b2757b01db79ee6a363b32599cb217 Mon Sep 17 00:00:00 2001
From: Vivek Anand <vivekanand1101@gmail.com>
Date: Oct 05 2016 10:03:31 +0000
Subject: [PATCH 648/1001] some beautification in github issues widget


---

diff --git a/hubs/widgets/githubissues.py b/hubs/widgets/githubissues.py
index 295c76b..986ff11 100755
--- a/hubs/widgets/githubissues.py
+++ b/hubs/widgets/githubissues.py
@@ -1,9 +1,10 @@
-from hubs.widgets.chrome import panel
+import requests
+
 from hubs.hinting import hint
-from hubs.widgets.base import argument
 from hubs.widgets import templating
+from hubs.widgets.chrome import panel
+from hubs.widgets.base import argument
 import hubs.validators as validators
-import requests
 
 chrome = panel("Github: Newest Open Tickets")
 template = templating.environment.get_template('templates/githubissues.html')
@@ -15,33 +16,36 @@ position = 'right'
           validator=validators.github_organization,
           help="Github Organization or username")
 def data(session, widget, display_number, org, repo):
+    ''' Data for Github Issues widget. Queries github api for issues '''
+
     url = '/'.join(['https://api.github.com/repos', org, repo, "issues"])
-    issue_response = requests.get(url)
-    data = issue_response.json()
-    all_issues = list()
-    for i in range(0, 10):
-        issue_details = dict()
-        issue_num = data[i]['number']
-        issue_title = data[i]['title']
-        issue_openedby = data[i]['user']['login']
-        if(data[i]['assignee'] is not None):
-            issue_assignee = data[i]['assignee']['login']
-        else:
-            issue_assignee = data[i]['assignee']
-        issue_details['num'] = issue_num
-        issue_details['title'] = issue_title
-        issue_details['openedby'] = issue_openedby
+    issues = requests.get(url).json()
+
+    all_issues = []
+    for issue in issues[:10]:
+        issue_details = {}
+        issue_details['num'] = issue['number']
+        issue_details['title'] = issue['title']
+        issue_details['openedby'] = issue['user']['login']
+
+        issue_assignee = None
+        if issue['assignee'] is not None:
+            issue_assignee = issue['assignee']['login']
+
         issue_details['assignee'] = issue_assignee
         all_issues.append(issue_details)
-    all_issues.reverse()
+
     return dict(
         org=org,
         repo=repo,
-        all_issues=all_issues,
+        all_issues=all_issues.reverse(),
         display_number=display_number,
     )
 
 
 @hint()
 def should_invalidate(message, session, widget):
+    ''' Checks if the Github Issue widget needs an update.
+    Called by a backend daemon listening to fedmsg '''
+
     raise NotImplementedError

